%define module psycopg2

Summary:        PostgreSQL database adapter for Python
Name:           python-%{module}
Version:        2.5
Release:        1
Group:          Development/Python
License:        GPLv2 and ZPLv2.1 and BSD
URL:            http://www.psycopg.org/psycopg/
Source0:        http://www.psycopg.org/psycopg/tarballs/PSYCOPG-2-4/%{module}-%{version}.tar.gz
Patch0:		psycopg2-2.5-link.patch
# for DateTime
Requires:       python-egenix-mx-base
BuildRequires:  python-devel
BuildRequires:  postgresql-devel
BuildRequires:  python-egenix-mx-base

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

psycopg2 is an almost complete rewrite of the psycopg 1.1.x branch.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --root=%{buildroot}

%files
%doc AUTHORS examples/ LICENSE  README
%{py_platsitedir}/psycopg2*

%changelog

* Thu Jan 21 2016 Denis Silakov <dsilakov@gmail.com> 2.5-1
- (329267e) Updated to 2.5


